# solidLib package — solidLib documentation

# solidLib package

## Submodules

## solidLib.assortment module

`solidLib.assortment.``bin`(x: float, y: float, h: float = 67)

  standardized container

`solidLib.assortment.``grid`(x_dim: int, y: int, w: float = 3, h: float = 1.5, fillet: bool = False)

  generate a grid of (flattened) triangles with or without fillet

  the generated grid is x by y in size with a gridspace of size dim, the triangles used for the base structure is given by their height and width

`solidLib.assortment.``grid_inv`(x: float, y: float, w: float = 3, h: float = 1.5, fillet: bool = False)

`solidLib.assortment.``toolinlay1`(height: float, *args, r_tool: float = 7, inset: float = 4, maxh: float = 67)

  creates a tooltray for alex container bins (2x3)

  Parameters

    - height – height of inset above lower bin

    - inset – depth of inset

`solidLib.assortment.``toolinlay2`(height: float, r_tool: Union[float, Iterable[float]] = 7, inset: float = 4, inset_tool: float = 3, maxh: float = 67, wall: float = 2)

  creates a tooltray for alex container bins (2x3)

  Parameters

    - height – height of inset above lower bin

    - r_tool – toolspace radius as float or list of floats

    - inset – depth of toolinlay inset

    - inset_tool – depth of additional toolspace inset

    - maxh – system height restriction

## solidLib.primitives module

`solidLib.primitives.``pill`(ps: List[List[float]], r, segments: int = 36)

  create a pill around given points

`solidLib.primitives.``rcube`(dim: Iterable[float], radius: float)

  creates a cube with rounded corners

  Parameters

    - dim – cube dimensions to base box on.

    - radius – box radius.

    - segments – circular object segments

`solidLib.primitives.``rfcube`(dim: Iterable[float], r: float)

  creates a round box with radius r and flat top/bottom

## Module contents

class `solidLib.``settings`

  Bases: `object`

  global dolidLib settings

  `height` = 67
  `raster` = 59
  `segments` = 36

Welcome to solidLib’s documentation!